#!/usr/bin/env ruby
#####################################################################################
# Copyright 2015 Kenneth Evensen <kenneth.evensen@redhat.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at

# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#
#####################################################################################
#
# Contact Info: <kenneth.evensen@redhat.com> and <lester@redhat.com>
#
#####################################################################################
load 'base/v1/api/Api.rb'
load 'base/v1/api/ResourceQuotaSpec.rb'
load 'base/v1/core/ObjectMeta.rb'

require 'json'

class ResourceQuota < Api

  def initialize(namespace=nil)
    super("resourcequotas", namespace)
    @namespace = namespace
  end

  def list_resource_quotas
    return list
  end

  def create_resource_quota(name, pods=nil, replicationcontrollers=nil, services=nil,
                            secrets=nil, persistentvolumeclaims=nil)

    rqspec = ResourceQuotaSpec.new

    rqspec.pods = pods
    rqspec.replicationcontrollers = replicationcontrollers
    rqspec.services = services
    rqspec.secrets = secrets
    rqspec.persistentvolumeclaims = persistentvolumeclaims

    objectmeta = ObjectMeta.new
    objectmeta.name = name
    objectmeta.namespace = @namespace

    body = {'spec' => rqspec.get_hash, 'metadata' => objectmeta.get_hash}
    data = create(body)
    return data

  end

  def delete_resource_quota(name)
    data = delete(name)
    return data
  end

end
