#!/usr/bin/env ruby
#####################################################################################
# Copyright 2016 Kenneth Evensen <kenneth.evensen@redhat.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at

# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#
#####################################################################################
#
# Contact Info: <kenneth.evensen@redhat.com> and <lester@redhat.com>
#
#####################################################################################

require 'json'

class ObjectReference
  attr_accessor :name
  attr_accessor :kind

  def initialize
    @name = nil
    @kind = nil
  end

  def get_hash
    metaHash = Hash.new
    unless @name.nil?
      metaHash[:name] = @name
    end

    unless @kind.nil?
      metaHash[:kind] = @kind
    end

    return metaHash
  end

  def get_json
    return JSON.generate(get_hash)
  end

end
