#!/usr/bin/env ruby
#####################################################################################
# Copyright 2015 Kenneth Evensen <kenneth.evensen@redhat.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at

# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#
#####################################################################################
#
# Contact Info: <kenneth.evensen@redhat.com> and <lester@redhat.com>
#
#####################################################################################

load 'base/v1/core/ObjectMeta.rb'
require 'json'

class Project < OcpApi

  def initialize
    super("projects")
  end

  def listprojects
    data = nil
    data = list
    return data
  end

  def list_projects_array
    array = Array.new
    project_list = JSON.parse listprojects
    list = project_list['items']
    list.each do |key|
      array.push key['metadata']['name']
    end
    return array
  end

  def exists?(project_name)
    project_list = listprojects
    data = JSON.parse project_list
    list = data['items']
    list.each do |key|
      if project_name == key['metadata']['name']
        return true
      end
    end

    return false

  end

  def deleteproject(name)
    data = nil
    data = delete(name)
    return data
  end

end
