#!/usr/bin/env ruby
#####################################################################################
# Copyright 2015 Kenneth Evensen <kenneth.evensen@redhat.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at

# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#
#####################################################################################
#
# Contact Info: <kenneth.evensen@redhat.com> and <lester@redhat.com>
#
#####################################################################################

load 'base/v1/core/ObjectMeta.rb'
load 'exceptions/NoObjectNameException.rb'

class ProjectRequest < OcpApi

  def initialize
    super("projectrequests")
  end

  def createprojectrequest(entityname, displayname, description)
    body = nil
    data = nil
    unless entityname.nil?
      objectmeta = ObjectMeta.new
      objectmeta.name = entityname
      objectmeta.namespace = entityname
      objectmeta.resourceversion = "1001"
      body = {'displayName' => displayname,
                    'description' => description,
                    'metadata' => objectmeta.get_hash}
      data = create(body)
      return data
    else
      raise NoObjectNameException.new(@name)
    end

  end
end
